Loading...
Searching...
No Matches
Opm::DamarisWriter< TypeTag > Class Template Reference

Collects necessary output values and pass them to Damaris server processes. More...

`#include <DamarisWriter.hpp>`

Inheritance diagram for Opm::DamarisWriter< TypeTag >:

## Public Member Functions

| DamarisWriter (Simulator &simulator)
void | writeOutput (data::Solution &localCellData, bool isSubStep)
| Writes localCellData through to Damaris servers.
Public Member Functions inherited from Opm::EclGenericWriter< GetPropType< TypeTag, Properties::Grid >, GetPropType< TypeTag, Properties::EquilGrid >, GetPropType< TypeTag, Properties::GridView >, GetPropType< TypeTag, Properties::ElementMapper >, GetPropType< TypeTag, Properties::Scalar > >
| EclGenericWriter (const Schedule &schedule, const EclipseState &eclState, const SummaryConfig &summaryConfig, const Grid &grid, const EquilGrid *equilGrid, const GridView &gridView, const Dune::CartesianIndexMapper< Grid > &cartMapper, const Dune::CartesianIndexMapper< EquilGrid > *equilCartMapper, bool enableAsyncOutput, bool enableEsmry)
const EclipseIO & | eclIO () const
void | writeInit ()
void | setTransmissibilities (const TransmissibilityType *globalTrans)
void | setSubStepReport (const SimulatorReportSingle &report)
void | setSimulationReport (const SimulatorReport &report)
const std::vector< NNCdata > & | getOutputNnc () const
const CollectDataOnIORankType & | collectOnIORank () const
void | extractOutputTransAndNNC (const std::function< unsigned int(unsigned int)> &map)

## Static Public Member Functions

static void | registerParameters ()

## Additional Inherited Members

Protected Member Functions inherited from Opm::EclGenericWriter< GetPropType< TypeTag, Properties::Grid >, GetPropType< TypeTag, Properties::EquilGrid >, GetPropType< TypeTag, Properties::GridView >, GetPropType< TypeTag, Properties::ElementMapper >, GetPropType< TypeTag, Properties::Scalar > >
const TransmissibilityType & | globalTrans () const
unsigned int | gridEquilIdxToGridIdx (unsigned int elemIndex) const

void

doWriteOutput (const int reportStepNum, const std::optional< int > timeStepNum, const bool isSubStep, data::Solution &&localCellData, data::Wells &&localWellData, data::GroupAndNetworkValues &&localGroupAndNetworkData, data::Aquifers &&localAquiferData, WellTestState &&localWTestState, const Action::State &actionState, const UDQState &udqState, const SummaryState &summaryState, const std::vector< Scalar > &thresholdPressure, Scalar curTime, Scalar nextStepSize, bool doublePrecision, bool isFlowsn, std::array< FlowsData< double >, 3 > &&flowsn, bool isFloresn, std::array< FlowsData< double >, 3 > &&floresn)

void

evalSummary (int reportStepNum, Scalar curTime, const data::Wells &localWellData, const data::WellBlockAveragePressures &localWBPData, const data::GroupAndNetworkValues &localGroupAndNetworkData, const std::map< int, data::AquiferData > &localAquiferData, const std::map< std::pair< std::string, int >, double > &blockData, const std::map< std::string, double > &miscSummaryData, const std::map< std::string, std::vector< double > > &regionData, const Inplace &inplace, const std::optional< Inplace > &initialInPlace, const InterRegFlowMap &interRegFlows, SummaryState &summaryState, UDQState &udqState)

Protected Attributes inherited from Opm::EclGenericWriter< GetPropType< TypeTag, Properties::Grid >, GetPropType< TypeTag, Properties::EquilGrid >, GetPropType< TypeTag, Properties::GridView >, GetPropType< TypeTag, Properties::ElementMapper >, GetPropType< TypeTag, Properties::Scalar > >
CollectDataOnIORankType | collectOnIORank_
const Grid & | grid_
const GridView & | gridView_
const Schedule & | schedule_
const EclipseState & | eclState_
std::unique_ptr< EclipseIO > | eclIO_
std::unique_ptr< TaskletRunner > | taskletRunner_
Scalar | restartTimeStepSize_
const TransmissibilityType * | globalTrans_
const Dune::CartesianIndexMapper< Grid > & | cartMapper_
const Dune::CartesianIndexMapper< EquilGrid > * | equilCartMapper_
const EquilGrid * | equilGrid_
SimulatorReportSingle | sub_step_report_
SimulatorReport | simulation_report_
std::vector< NNCdata > | outputNnc_
std::unique_ptr< data::Solution > | outputTrans_

## Detailed Description

template<class TypeTag>
class Opm::DamarisWriter< TypeTag >

Collects necessary output values and pass them to Damaris server processes.

Currently only passing through PRESSURE, GLOBAL_CELL_INDEX and MPI_RANK information. This class now passes through the 3D mesh information to Damaris to enable in situ visualization via Paraview or Ascent. And developed so that variables specified through the Eclipse input deck will be available to Damaris.

## Member Function Documentation

## writeOutput()

template<class TypeTag>

void Opm::DamarisWriter< TypeTag >::writeOutput | ( | data::Solution & | localCellData,
|  | bool | isSubStep )

inline

Writes localCellData through to Damaris servers.

Sets up the unstructured mesh which is passed to Damaris.

The documentation for this class was generated from the following file:

- opm/simulators/flow/DamarisWriter.hpp